import { FileController } from "./controller/FileController";
import { UserController } from "./controller/UserController";
import { ResultController } from "./controller/ResultController"

export const Routes = [{
    method: "get",
    route: "/users",
    controller: UserController,
    action: "all"
}, {
    method: "get",
    route: "/users/:id",
    controller: UserController,
    action: "one"
}, {
    method: "post",
    route: "/users",
    controller: UserController,
    action: "save"
}, {
    method: "delete",
    route: "/users/:id",
    controller: UserController,
    action: "remove"
}, {
    method: "put",
    route: "/userUpdate/:id",
    controller: UserController,
    action: "update"
}, {
    method: "get",
    route: "/exist/:id",
    controller: UserController,
    action: "update"
}, {
    method: "get",
    route: "/find/:firstName",
    controller: UserController,
    action: "findByName"
}, {
    method: "get",
    route: "/findAll/:firstName",
    controller: UserController,
    action: "findAllByName"
}, {
    method: "get",
    route: "/login",
    controller: UserController,
    action: "login"
}, {
    method: "get",
    route: "/signup",
    controller: UserController,
    action: "signUp"
}, {
    method: "post",
    route: "/upload",
    controller: FileController,
    action: "upload"
}, {
    method: "get",
    route: "/train",
    controller: FileController,
    action: "train"
}, {
    method: "get",
    route: "/predict",
    controller: FileController,
    action: "predict"
}, {
    method: "post",
    route: "/evaluate",
    controller: FileController,
    action: "evaluate"
}, {
    method: "get",
    route: "/results",
    controller: ResultController,
    action: "all"
}, {
    method: "post",
    route: "/addResult",
    controller: ResultController,
    action: "addResult"
}];